% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/permanova.R
\name{permanova}
\alias{permanova}
\title{PERMANOVA}
\usage{
permanova(obj, distance_method = "bray", group = "TreatmentGroup")
}
\arguments{
\item{obj}{An object to be converted to a taxmap object with \code{\link[MicrobiomeR]{create_taxmap}}.}

\item{distance_method}{Use a desired distance method, Default: 'bray'}

\item{group}{The group or column in the metadata to test upon, Default: 'TreatmentGroup'}
}
\value{
Returns a list which includes permanova, anova, coefficients, and top coefficients.
}
\description{
Evaluate whether the group(s) has a significant effect on overall gut microbiota composition.
}
\examples{
\dontrun{
if (interactive()) {
  library(MicrobiomeR)
  data <- analyzed_silva
  p <- permanova(obj = data, group = "TreatmentGroup")
  p$permanova
}
}
}
\seealso{
View \code{\link{top_coefficients_barplot}} to plot the top_coefficients returned from this function.
See \code{\link[vegan]{adonis}} and \code{\link[vegan]{betadisper}} to understand more about how the permanova data was generated
}
